Nodes & Edges
Delete node URL
Remove a tracked URL from a canvas node.
curl -X DELETE "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("DELETE", "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
DELETE
/canvases/{canvasId}/nodes/{nodeId}/urls/{urlId}DELETE
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
canvasIdstring
RequiredCanvas identifier.
path
nodeIdstring
RequiredCanvas node identifier.
path
urlIdstring
RequiredNode URL identifier.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
canvasIdstring
RequiredCanvas identifier.
nodeIdstring
RequiredCanvas node identifier.
urlIdstring
RequiredNode URL identifier.
Responses
successboolean
Was this page helpful?
Built with Documentation.AI
Last updated today